petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMShellSetCreateSubDM

Set the routine used to create a sub DM from the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateSubDM(DM dm, PetscErrorCode (*subdm)(DM,PetscInt,const PetscInt[],IS*,DM*))

Logically Collective on DM

Input Arguments

| dm | - the shell DM
| subdm | - the routine to create the decomposition

### See Also

DMCreateSubDM(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages